Magento 2 e o uso do protocolo HTTPS (SSL)

O uso dos Certificados Digitais e sua importância no E-commerce

No ano passado a Google adotou definitivamente uma mudança em relação à navegação na Web,

Tal mudança tenho observado em uso pela gigante da Internet, (você deve ter notado quando faz uma busca, antes era http://www.google.com, onde agora temos o https: à frente) com o intuito de melhorar a segurança e confiança na navegação dos internautas.

                                               Kirida, Kiridu, O quê ? Você não usa o HTTPS/SSL ?

O que Você não Usa HTTPS/SSL ?

Ai ai ai !!! se sua Loja Virtual não faz uso de um Certificado Digital e das requisições HTTPS / SSL passou da hora de utilizar.

Não sei se é uma novidade para muitos, mas isto afeta e muito no ranking/posicionamento de sua Loja Virtual, isso mesmo, o Google passa a indexar e posicionar melhor quem faz uso do SSL em sua arquitetura/infraestrutura de seu site, incentivando para que os websites façam uso deste tipo de protocolo de segurança.

Hoje o foco não é nem SEO, nem como configurar o SSL e obter um Certificado Digital (quem sabe no próximo post) , mas aqui um link sobre o assunto:

https://ecommercenews.com.br/glossario/o-que-e-certificado-digital-ssl

O foco é como o Magento2 opera no protocolo HTTPS / SSL.

Configurei meu Magento2 2.1.5 para usar e abusar dos recursos do SSL.

Bacana né !!!

Mas notei que ao tentar comprar um produto , Oooops !!! Algo deu MUITO ERRADO

Isso mesmo , go to GitHub !!!

Estudo de Caso :

Sei que o título da Imagem do Post é Como instalar/configurar o SSL no Magento2, mas vou explicar como na próxima atualização do post, vou focar na solução de um problema que encontrei ao usar o SSL.

Em um projeto de Loja Virtual utilizando o Magento2 2.1.5, verifiquei um problema ao inserir um produto no carrinho/sacola na listado na Home Page , após trocarmos para o modo seguro HTTPS/SSL, ocorreu o erro :

<code>{"message":"\"customer&.....\" section source is not supported"}</code>

Possivelmente um Bug na versão 2.1.5, ainda não encontrei nada que evidencie, estou investigando, mas para corrigir tal problema, faça uma injeção de dependência que disponibilizo no Github:

https://github.com/MattBidas/magento_ssl

Divirtam-se !!!!

2017-05-31T14:47:35+00:00

RECEBA DICAS VALIOSAS NO SEU EMAIL

x